FieldEdge Open API
DocsAPIs
DocsAPIs
  1. Customer
  • Lead
    • Creates a new lead with customer details, appointment preferences, and service information.
      POST
    • Fetches lead details based on the provided lead identifier.
      GET
  • Customer
    • Creates a new customer
      POST
    • Search customers by phone, email, or first name
      GET
    • Search customers based on address details.
      GET
    • Get customer details by ID
      GET
    • Updates an existing customer
      PUT
  • Webhook
    • Registers a new webhook endpoint to receive event notifications.
      POST
DocsAPIs
DocsAPIs
  1. Customer

Search customers based on address details.

GET
/v1/customers/by-address
Search and retrieve customers by address information.

Request

Query Params

Responses

🟢200
application/json
Customers retrieved successfully
Body

🟢204
🟠400
🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dev.api.fieldedge.com/leads/v1/customers/by-address?addressLine1&addressLine2&city&stateOrRegion&postalCode'
Response Response Example
200 - response
{
    "customers": [
        {
            "customerId": "c82bd0d3-55e5-4e45-a3d0-4281aadb24f8",
            "firstName": "John",
            "lastName": "Doe"
        },
        {
            "customerId": "a7b2d1e3-5f89-4b1d-9a6e-2c9b8f2a0b44",
            "firstName": "Jane",
            "lastName": "Smith"
        }
    ]
}
Modified at 2026-02-26 12:18:17
Previous
Search customers by phone, email, or first name
Next
Get customer details by ID
Built with